// some basic defines 
#define TEast 0 
#define TWest 1 
#define TGuerrila 2 
#define TCivilian 3 
#define TSideUnknown 4 
#define TEnemy 5 
#define TFriendly 6 
#define TLogic 7 

#define true 1 
#define false 0 

// type scope 
#define private 0 
#define protected 1 
#define public 2 

#define WeaponNoSlot0// dummy weapons 
#define WeaponSlotPrimary1// primary weapons 
#define WeaponSlotSecondary16// secondary weapons 
#define WeaponSlotItem256// items 
#define WeaponSlotBinocular4096// binocular 
#define WeaponHardMounted65536 

class CfgPatches
{
	class Groups
     {
         units[] = {};
         weapons[] = {};
         requiredVersion = 1.10;
     };

// ALE_ITAParaDes

	class ALE_ITAParaDesOff
	{
		units[] = {ALE_ITAParaDesOff};
		weapons[] = {};
		requiredVersion = 1.10;
	};	
	class ALE_ITAParaDesSoldier
	{
		units[] = {ALE_ITAParaDesSoldier};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class ALE_ITAParaDesGrenadier
	{
		units[] = {ALE_ITAParaDesGrenadier};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class ALE_ITAParaDesMG
	{
		units[] = {ALE_ITAParaDesMG};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class ALE_ITAParaDesMedic
	{
		units[] = {ALE_ITAParaDesMedic};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class ALE_ITAParaDesLAW
	{
		units[] = {ALE_ITAParaDesLAW};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class ALE_ITAParaDesEngineer
	{
		units[] = {ALE_ITAParaDesEngineer};
		weapons[] = {};
		requiredVersion = 1.10;
	};

      class ALE_ITAParaDesAT
	{
		units[] = {ALE_ITAParaDesAT};
		weapons[] = {};
		requiredVersion = 1.10;
	};
      class ALE_ITAParaDesAA
	{
		units[] = {ALE_ITAParaDesAA};
		weapons[] = {};
		requiredVersion = 1.10;

	};
	
 };
 
class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWB:Soldier{};
	class SoldierWMG:SoldierWB{};
	class SoldierWMedic:SoldierWB{};
	class SoldierWLAW:SoldierWB{};
	class SoldierWAT:SoldierWLAW{};
	class SoldierWAA:SoldierWLAW{};
	class SoldierWMiner:SoldierWB{};
	class SoldierWSaboteur:SoldierWB{};
	class SoldierWSaboteurPipe:SoldierWSaboteur{};
	class SoldierWSniper:SoldierWB{};
	class OfficerW:SoldierWB{};
	class OfficerWNight:SoldierWB{};

// ALE_ITAParaDes

	class ALE_ITAParaDesOff:SoldierWB{
		displayName="ALE ITAParaDesOff";
		weapons[]={"Throw","Put","Steyr","NVGoggles","Binocular"};
		magazines[]={"Steyrmag","Steyrmag","Steyrmag","Steyrmag","Steyrmag","Steyrmag","HandGrenade","HandGrenade","SmokeShell","SmokeShell"};
		model="\ALE_ITAParaDes\ALE_ITAPD1";
	};
	class ALE_ITAParaDesSoldier:SoldierWB{
		displayName="ALE ITAParaDesSoldier";
		weapons[]={"Throw","Put","Steyr","NVGoggles"};
		magazines[]={"Steyrmag","Steyrmag","Steyrmag","Steyrmag","Steyrmag","Steyrmag","HandGrenade","HandGrenade","HandGrenade"};
		model="\ALE_ITAParaDes\ALE_ITAPD1";
	};
	class ALE_ITAParaDesGrenadier:SoldierWB{
		displayName="ALE ITAParaDesGrenadier";
		weapons[]={"Throw","Put","M16GrenadeLauncher","NVGoggles"};
		magazines[]={"M16","M16","M16","M16","GrenadeLauncher","GrenadeLauncher","GrenadeLauncher"};
		model="\ALE_ITAParaDes\ALE_ITAPD1";
	      picture="igrenadier";
      };
	class ALE_ITAParaDesMG:SoldierWMG{
		displayName="ALE ITAParaDesMG";
		weapons[]={"Throw","Put","M60","NVGoggles"};
		magazines[]={"M60","M60","M60","M60","M60"};
		model="\ALE_ITAParaDes\ALE_ITAPD1";
	};
	class ALE_ITAParaDesMedic:SoldierWMedic{
		displayName="ALE ITAParaDesMedic";
		weapons[]={"Throw","Put","Steyr","NVGoggles"};
		magazines[]={"Steyrmag","Steyrmag","Steyrmag","Steyrmag"};
		model="\ALE_ITAParaDes\ALE_ITAPD1";
	      weaponSlots="1 +  16 + 2 *    4096 + 10 *          256";
      };
	class ALE_ITAParaDesLAW:SoldierWLAW{
		displayName="ALE ITAParaDesLAW";
		weapons[]={"Throw","Put","Steyr","NVGoggles","LAWLauncher"};
		magazines[]={"Steyrmag","Steyrmag","Steyrmag","Steyrmag","LAWLauncher","LAWLauncher","LAWLauncher"};
		model="\ALE_ITAParaDes\ALE_ITAPD1";
	};
	class ALE_ITAParaDesEngineer:SoldierWMiner{
		displayName="ALE ITAParaDesEngineer";
		weapons[]={"Throw","Put","Steyr","NVGoggles","Binocular"};
		magazines[]={"Steyrmag","Steyrmag","Steyrmag","Steyrmag","Mine","Mine","Pipebomb"};
		model="\ALE_ITAParaDes\ALE_ITAPD1";
	};
      class ALE_ITAParaDesAT:SoldierWAT{
		displayName="ALE ITAParaDesAT";
		weapons[]={"Throw","Put","NVGoggles","Steyr","CarlGustavLauncher"};
		magazines[]={"Steyrmag","Steyrmag","Steyrmag","Steyrmag","CarlGustavLauncher",};
		model="\ALE_ITAParaDes\ALE_ITAPD1";
	};
      class ALE_ITAParaDesAA:SoldierWAT{
		displayName="ALE ITAParaDesAA";
		weapons[]={"Throw","Put","NVGoggles","Steyr","AALauncher"};
		magazines[]={"Steyrmag","Steyrmag","Steyrmag","Steyrmag","AALauncher"};
		model="\ALE_ITAParaDes\ALE_ITAPD1";
	};
 
};



class CfgGroups
{
   class West
   {
      name="West";
       class Infantry  
       {
       name="Infantry"; 
 
         class ALE_ITAParaDes
         {
            name="ALE ITAParaDes Squad";
			class Unit0
			{
			name="1";
			side=1;
			vehicle="ALE_ITAParaDesOff";
			rank="Lieutnant";
			position[]={0,0,0};
			};
			class Unit1
			{
			name="2";
			side=1;
			vehicle="ALE_ITAParaDesGrenadier";
			rank="Corporal";
			position[]={-12,-3,0};
			};
			class Unit2
			{
			name="3";
			side=1;
			vehicle="ALE_ITAParaDesMG";
			rank="Corporal";
			position[]={-9,-3,0};
			};
			class Unit3
			{
			name="4";
			side=1;
			vehicle="ALE_ITAParaDesLAW";
			rank="Corporal";
			position[]={-6,-3,0};
			};
			class Unit4
			{
			name="5";
			side=1;
			vehicle="ALE_ITAParaDesMedic";
			rank="Sergeant";
			position[]={-3,-3,0};
			};
			class Unit5
			{
			name="6";
			side=1;
			vehicle="ALE_ITAParaDesMG";
			rank="Private";
			position[]={3,-3,0};
			};
			class Unit6
			{
			name="7";
			side=1;
			vehicle="ALE_ITAParaDesGrenadier";
			rank="Private";
			position[]={6,-3,0};
			};
			class Unit7
			{
			name="8";
			side=1;
			vehicle="ALE_ITAParaDesLAW";
			rank="Private";
			position[]={9,-3,0};
			};
			class Unit8
			{
			name="9";
			side=1;
			vehicle="ALE_ITAParaDesSoldier";
			rank="Private";
 			position[]={12,-3,0};
			};
         };
         
			
//end of ALE_ITAParaDes
      };

//end of West   };

//end of groups
};


//end of file
}; 
